require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
    module Artifact
      # @see Artifact#set_competent_role
      class ArtifactSetCompetentRole < UU::OS::REST::DTO

        # @see Artifact#set_competent_role
        attr_accessor :competent_role_uri

        def competent_role_uri 
          attributes[:competentRoleUri]
        end

        def competent_role_uri=(val) 
          if val
            attributes[:competentRoleUri] = UU::OS::UESURI.new(val)
          else
            attributes[:competentRoleUri] = nil
          end
        end
      end
    end
  end
end
