require 'uu/os/rest/dto'

module UU
  module OS
    module Shortcut
      class ShortcutGetShortcutList < UU::OS::REST::PagingCriteria

        # @see Shortcut#get_shortcut_list
        attr_accessor :query

        # @see Shortcut#get_shortcut_list
        attr_accessor :code_filter

        # @see Shortcut#get_shortcut_list
        attr_accessor :name_filter
        def query
          attributes[:query]
        end

        def query=(val)
          attributes[:query] = val
        end

        def code_filter
          attributes[:codeFilter]
        end

        def code_filter=(val)
          attributes[:codeFilter] = val
        end

        def name_filter
          attributes[:nameFilter]
        end

        def name_filter=(val)
          attributes[:nameFilter] = val
        end

      end
    end

  end

end
